

class CfgPatches {
	class jeep {
		units[] = {"jeep"};
		weapons[] = {};
		requiredVersion = 1.0;
	};
};

class CfgWeapons {
	class Default;	// External class reference
	class CarHorn;	// External class reference
	class SportCarHorn;	// External class reference
	
	class jeephorn : SportCarHorn {
		scope = 2;
		displayName = "Horn";
		drySound[] = {"\jeep\Sounds\jeephorn.wav", 0.1, 1}; //Horn Sound
	};
};

class CfgVehicleClasses {
	class Jeep {
		displayName = "Jeeps"; //Name it will appear under in the editor (empty >)
	};
};

class CfgVehicles {
	class All {};
	
	class AllVehicles : All {};
	
	class Land : AllVehicles {};
	
	class LandVehicle : Land {};
	
	class Car : LandVehicle {};
	
	class Car_sedan : Car {
		selectionBrakeLights = "brzdove svetlo";
		selectionBackLights = "zadni svetlo";
		
		
		class Reflectors {
			class Left {
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "HDlightstart1";
				direction = "HDlightdir1";
				hitpoint = "HDlightstart1";
				selection = "HDlightstart1";
				size = 0.5;
				brightness = 0.5;
			};
			
			class Right {
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "HDlightstart2";
				direction = "HDlightdir2";
				hitpoint = "HDlightstart2";
				selection = "HDlightstart2";
				size = 0.5;
				brightness = 0.5;
			};
		};
	};
	
	
	class Jeep : Car_sedan {
		nameSound = "car";
		accuracy = 0.9;
		canlock = 1;
		scope = 2; //Scope = 2; means the vehicle will be displayed and is "Public"
		side = 1;  //Side in game it appears under
		type = 1; 
		typicalCargo[] = {};
		cargoIsCoDriver[] = {1, 0};
		weapons[] = {"jeephorn"}; //Weapons or Sounds
		magazines[] = {}; //Ammo the car will have in gear when it spawns
		unloadInCombat = 1;
		
		class TransportWeapons {}; //Weapons the car will spawn with in the gear
		transportSoldier = 3; //Maximum soldiers the vehicle can transport minus the driver
		transportMaxMagazines = 1000; //Maximum ammo the vehicle can have in the gear
		transportMaxWeapons = 50;  //Maximum weapons the vehicle can have in the gear
		viewCargoShadow = 1;
		maxSpeed = 180; //Maximum Speed in KM/H
		turnCoef = 1.95; // % of speed the vehicle can turn at
		terrainCoef = 1.0; // % of speed the vehicle can have off road
		brakeDistance = 20.0; // Distance it takes to stop the vehicle
		cost = 1000; // Cost in Armory
		fuelCapacity = 50; // Maximum Fuel
		armorWheels = 0.14; 
		armor = 25; //Maximum damage the vehicle can take.
		armorStructural = 8.0;
		armorEngine = 2.2;
		SoundGetIn[] = {"\ca\sounds\vehicles\wheeled\offroad\ext\ext-offroad-getout-1", 0.251189, 1};
		SoundGetOut[] = {"\ca\sounds\vehicles\wheeled\offroad\ext\ext-offroad-getout-1", 0.251189, 1, 30};
		soundEngineOnInt[] = {"ca\sounds\Vehicles\Wheeled\offroad\int\int-offroad-start-1", 0.316228, 1.0};
		soundEngineOnExt[] = {"ca\sounds\Vehicles\Wheeled\offroad\ext\ext-offroad-start-1", 0.316228, 1.0, 200};
		soundEngineOffInt[] = {"ca\sounds\Vehicles\Wheeled\offroad\int\int-offroad-stop-1", 0.316228, 1.0};
		soundEngineOffExt[] = {"ca\sounds\Vehicles\Wheeled\offroad\ext\ext-offroad-stop-1", 0.316228, 1.0, 200};
		buildCrash0[] = {"Ca\sounds\Vehicles\Crash\crash_building_01", 0.707946, 1, 200};
		buildCrash1[] = {"Ca\sounds\Vehicles\Crash\crash_building_02", 0.707946, 1, 200};
		buildCrash2[] = {"Ca\sounds\Vehicles\Crash\crash_building_03", 0.707946, 1, 200};
		buildCrash3[] = {"Ca\sounds\Vehicles\Crash\crash_building_04", 0.707946, 1, 200};
		soundBuildingCrash[] = {"buildCrash0", 0.25, "buildCrash1", 0.25, "buildCrash2", 0.25, "buildCrash3", 0.25};
		WoodCrash0[] = {"Ca\sounds\Vehicles\Crash\crash_mix_wood_01", 0.707946, 1, 200};
		WoodCrash1[] = {"Ca\sounds\Vehicles\Crash\crash_mix_wood_02", 0.707946, 1, 200};
		WoodCrash2[] = {"Ca\sounds\Vehicles\Crash\crash_mix_wood_03", 0.707946, 1, 200};
		WoodCrash3[] = {"Ca\sounds\Vehicles\Crash\crash_mix_wood_04", 0.707946, 1, 200};
		WoodCrash4[] = {"Ca\sounds\Vehicles\Crash\crash_mix_wood_05", 0.707946, 1, 200};
		WoodCrash5[] = {"Ca\sounds\Vehicles\Crash\crash_mix_wood_06", 0.707946, 1, 200};
		soundWoodCrash[] = {"woodCrash0", 0.166, "woodCrash1", 0.166, "woodCrash2", 0.166, "woodCrash3", 0.166, "woodCrash4", 0.166, "woodCrash5", 0.166};
		ArmorCrash0[] = {"Ca\sounds\Vehicles\Crash\crash_vehicle_01", 0.707946, 1, 200};
		ArmorCrash1[] = {"Ca\sounds\Vehicles\Crash\crash_vehicle_02", 0.707946, 1, 200};
		ArmorCrash2[] = {"Ca\sounds\Vehicles\Crash\crash_vehicle_03", 0.707946, 1, 200};
		ArmorCrash3[] = {"Ca\sounds\Vehicles\Crash\crash_vehicle_04", 0.707946, 1, 200};
		soundArmorCrash[] = {"ArmorCrash0", 0.25, "ArmorCrash1", 0.25, "ArmorCrash2", 0.25, "ArmorCrash3", 0.25};
		displayName = "1989 Jeep Wrangler"; //Vehicles name in the editor
		model = "\jeep\jeep.p3d"; //path to the vehicles .p3d


		class Library {
			libTextDesc = "1989 Jeep Wrangler"; //Discription in Armory
		};
		
	class SoundEvents {
			class AccelerationIn {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\int\int-offroad-acce-1", 0.316228, 1.0};
				limit = 0.7;
				expression = "(engineOn*(1-camPos))*gmeterZ*(speed factor[2.5, 4])";
			};
			
			class AccelerationOut {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\ext\ext-offroad-acce-1", 0.316228, 1.0, 250};
				limit = 0.7;
				expression = "(engineOn*camPos)*gmeterZ*(speed factor[2.5, 4])";
			};
		};
		
		class Sounds {
			class Engine {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\ext\ext-offroad-low-1", 0.398107, 1.0, 300};
				frequency = "(randomizer*0.05+0.95)*rpm";
				volume = "camPos*engineOn*((rpm factor[0.21, 0.5]) min (rpm factor[0.7, 0.3]))";
			};
			
			class EngineHighOut {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\ext\ext-offroad-high-2", 0.398107, 1.0, 400};
				frequency = "(randomizer*0.05+0.95)*rpm";
				volume = "camPos*engineOn*(rpm factor[0.5, 0.85])";
			};
			
			class IdleOut {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\ext\ext-offroad-idle-5", 0.223872, 1.0, 200};
				frequency = "1";
				volume = "camPos*engineOn*(rpm factor[0.4, 0])";
			};
			
			class TiresRockOut {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\ext\ext-tires-rock2", 0.316228, 1.0, 30};
				frequency = "1";
				volume = "camPos*rock*(speed factor[2, 20])";
			};
			
			class TiresSandOut {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\ext\ext-tires-sand2", 0.316228, 1.0, 30};
				frequency = "1";
				volume = "camPos*sand*(speed factor[2, 20])";
			};
			
			class TiresGrassOut {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\ext\ext-tires-grass3", 0.316228, 1.0, 30};
				frequency = "1";
				volume = "camPos*grass*(speed factor[2, 20])";
			};
			
			class TiresMudOut {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\ext\ext-tires-mud2", 0.316228, 1.0, 30};
				frequency = "1";
				volume = "camPos*mud*(speed factor[2, 20])";
			};
			
			class TiresGravelOut {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\ext\ext-tires-gravel2", 0.316228, 1.0, 30};
				frequency = "1";
				volume = "camPos*gravel*(speed factor[2, 20])";
			};
			
			class TiresAsphaltOut {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\ext\ext-tires-asphalt3", 0.316228, 1.0, 30};
				frequency = "1";
				volume = "camPos*asphalt*(speed factor[2, 20])";
			};
			
			class NoiseOut {
				sound[] = {"ca\sounds\Vehicles\Wheeled\UAZ\ext\ext-noise", 0.316228, 1.0, 30};
				frequency = "1";
				volume = "camPos*(damper0 max 0.02)*(speed factor[0, 8])";
			};
			
			class EngineLowIn {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\int\int-offroad-low-1", 0.562341, 1.0};
				frequency = "(randomizer*0.05+0.95)*rpm";
				volume = "(1-camPos)*engineOn*((rpm factor[0.2, 0.4]) min (rpm factor[0.7, 0.3]))";
			};
			
			class EngineHighIn {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\int\int-offroad-high-2", 0.562341, 1.0};
				frequency = "(randomizer*0.05+0.95)*rpm";
				volume = "(1-camPos)*engineOn*(rpm factor[0.56, 0.8])";
			};
			
			class IdleIn {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\int\int-offroad-idle-5", 0.398107, 1.0};
				frequency = "1";
				volume = "(1-camPos)*engineOn*(rpm factor[0.4, 0])";
			};
			
			class TiresRockIn {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\int\int-tires-rock2", 0.316228, 1.0};
				frequency = "1";
				volume = "(1-camPos)*rock*(speed factor[2, 20])";
			};
			
			class TiresSandIn {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\int\int-tires-sand2", 0.316228, 1.0};
				frequency = "1";
				volume = "(1-camPos)*sand*(speed factor[2, 20])";
			};
			
			class TiresGrassIn {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\int\int-tires-grass3", 0.316228, 1.0};
				frequency = "1";
				volume = "(1-camPos)*grass*(speed factor[2, 20])";
			};
			
			class TiresMudIn {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\int\int-tires-mud2", 0.316228, 1.0};
				frequency = "1";
				volume = "(1-camPos)*mud*(speed factor[2, 20])";
			};
			
			class TiresGravelIn {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\int\int-tires-gravel2", 0.316228, 1.0};
				frequency = "1";
				volume = "(1-camPos)*gravel*(speed factor[2, 20])";
			};
			
			class TiresAsphaltIn {
				sound[] = {"\ca\SOUNDS\Vehicles\Wheeled\Tires\int\int-tires-asphalt3", 0.316228, 1.0};
				frequency = "1";
				volume = "(1-camPos)*asphalt*(speed factor[2, 20])";
			};
			
			class NoiseIn {
				sound[] = {"ca\sounds\Vehicles\Wheeled\offroad\int\int-offroad-noise-1", 0.316228, 1.0};
				frequency = "1";
				volume = "(damper0 max 0.03)*(speed factor[0, 8])*(1-camPos)";
			};
			
			class Movement {
				sound = "soundEnviron";
				frequency = "1";
				volume = "0";
			};
		};
	};
};